function [fitn]=evaluateAllReals(x,nreal)

% we select a heterogeneous hydraulic conductivity field
% and evaluate the model at point x
%

% nreal: no. of realisations (= different heterogeneous hydraulic 
% conductivity fields)


% data matrix for objective function
fitn = ones(nreal,3);

% the names of the base fields have to be field.i with i=1,...,nreal
% the name of the actual evaluated field is 'myField.dat'

% check if 'myField.dat' exists
fid=fopen('myField.dat','r');
if fid==-1
    eval('!copy field.1 myField.dat');
else
    stat=fclose(fid);
    eval('!del myField.dat');
    eval('!copy field.1 myField.dat');
end


% evaluate model first time
disp('  ')
disp('Using realization number 1')
disp('  ')
[fitn(1,1),fitn(1,2),fitn(1,3)]=evalModel(x);

for i = 2:nreal
    eval('!del myField.dat');
    eval(['!copy field.',num2str(i),' myField.dat']);
    disp('  ')
    disp(['Using realization number ',num2str(i),' of ',num2str(nreal)])
    disp('  ')
    [fitn(i,1),fitn(i,2),fitn(i,3)]=evalModel(x);
end